import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _assertThisInitialized from "@babel/runtime/helpers/esm/assertThisInitialized";
import React from 'react';
import Datetime from 'react-datetime';
import moment from 'moment';
import 'react-datetime/css/react-datetime.css';
import './css/inputDateTime.css';

var InputDate =
/*#__PURE__*/
function (_React$Component) {
  _inherits(InputDate, _React$Component);

  function InputDate(props) {
    var _this;

    _classCallCheck(this, InputDate);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(InputDate).call(this, props));
    _this.getValidDates = _this.getValidDates.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    return _this;
  }

  _createClass(InputDate, [{
    key: "getValidDates",
    value: function getValidDates(currentDate) {
      var features = this.props.features;
      var limits = features.timeentry.dateLimitation;

      if (!limits || !limits.enabled) {
        return true;
      }

      var days = limits.days;
      var beforeDate = moment().subtract(days, 'day');
      return currentDate.isBetween(beforeDate, moment());
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          label = _this$props.label,
          input = _this$props.input,
          placeholder = _this$props.placeholder,
          locale = _this$props.locale,
          isAdmin = _this$props.isAdmin,
          _this$props$meta = _this$props.meta,
          touched = _this$props$meta.touched,
          error = _this$props$meta.error,
          warning = _this$props$meta.warning;
      return React.createElement("div", {
        className: "form-group ".concat(touched && error ? 'has-error' : '', " ").concat(touched && warning ? 'has-warning' : '')
      }, label && React.createElement("label", {
        className: "col-sm-2 control-label"
      }, label), React.createElement("div", {
        className: label ? "col-sm-10" : "col-sm-12"
      }, React.createElement("div", {
        className: "input-group date"
      }, React.createElement(Datetime, {
        inputProps: {
          name: input.name,
          placeholder: placeholder
        },
        value: input.value,
        onChange: function onChange(param) {
          return input.onChange(param);
        },
        locale: locale,
        isValidDate: isAdmin ? undefined : this.getValidDates,
        timeFormat: false,
        dateFormat: "DD/MM/YYYY"
      }), React.createElement("span", {
        className: "input-group-addon"
      }, React.createElement("i", {
        className: "fa fa-calendar"
      }))), React.createElement("span", {
        className: "".concat(touched && error ? 'has-error' : '', " ").concat(touched && warning ? 'has-warning' : '')
      }, touched && (error && React.createElement("span", {
        className: "help-block m-b-none"
      }, error) || warning && React.createElement("span", {
        className: "help-block m-b-none"
      }, warning)))));
    }
  }]);

  return InputDate;
}(React.Component);

export default InputDate;