import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
import React from 'react';
import Select from 'react-select';
import MetaText from './helpers/MetaText';
var colourStyles = {
  control: function control(base, state) {
    var color = state.isFocused ? '#1ab394' : '#e5e6e7';
    return _objectSpread({}, base, {
      backgroundColor: 'white',
      borderRadius: 0,
      boxShadow: "0 !important",
      borderColor: color,
      '&:hover': {
        borderColor: color
      }
    });
  },
  menu: function menu(base) {
    return _objectSpread({}, base, {
      zIndex: 99
    });
  }
};

var InputSelect = function InputSelect(props) {
  var input = props.input,
      label = props.label,
      placeholder = props.placeholder,
      options = props.options,
      required = props.required,
      isMulti = props.isMulti,
      isClearable = props.isClearable,
      isDisabled = props.isDisabled,
      isSearchable = props.isSearchable,
      menuPlacement = props.menuPlacement,
      autoFocus = props.autoFocus,
      meta = props.meta;
  return React.createElement("div", {
    className: "form-group ".concat(required ? 'required' : '', " ").concat(meta.touched && meta.error ? 'has-error' : '', " ").concat(meta.touched && meta.warning ? 'has-warning' : '')
  }, label && React.createElement("label", {
    className: "col-sm-2 control-label"
  }, label), React.createElement("div", {
    className: label ? 'col-sm-10' : 'col-sm-12'
  }, React.createElement(Select, Object.assign({}, input, {
    styles: colourStyles,
    options: options,
    onChange: input.onChange,
    value: input.value ? input.value : '',
    onBlur: function onBlur(event) {
      return event.preventDefault();
    },
    autoFocus: autoFocus,
    placeholder: placeholder,
    menuPlacement: menuPlacement,
    required: required,
    isClearable: isClearable,
    isMulti: isMulti,
    isSearchable: isSearchable,
    isDisabled: isDisabled
  })), React.createElement(MetaText, meta)));
};

InputSelect.defaultProps = {
  menuPlacement: 'auto',
  required: false,
  isClearable: true,
  isMulti: false,
  isDisabled: false,
  isSearchable: false,
  autoFocus: false
};
export default InputSelect;