import React from 'react';
import MetaText from './helpers/MetaText';

var InputText = function InputText(props) {
  var input = props.input,
      label = props.label,
      hint = props.hint,
      extraClass = props.extraClass,
      placeholder = props.placeholder,
      type = props.type,
      autoFocus = props.autoFocus,
      btnText = props.btnText,
      btnClass = props.btnClass,
      step = props.step,
      required = props.required,
      disabled = props.disabled,
      icon = props.icon,
      disableBtn = props.disableBtn,
      meta = props.meta;
  return React.createElement("div", {
    className: "form-group ".concat(extraClass ? extraClass : '', " ").concat(required ? 'required' : '', " ").concat(meta.touched && meta.error ? 'has-error' : '', " ").concat(meta.touched && meta.warning ? 'has-warning' : '')
  }, label && React.createElement("label", {
    className: "col-sm-2 control-label",
    title: hint
  }, label), React.createElement("div", {
    className: label ? 'col-sm-10' : 'col-sm-12'
  }, React.createElement("div", {
    className: btnText || btnClass ? 'input-group' : ''
  }, React.createElement("input", Object.assign({}, input, {
    className: "form-control",
    placeholder: placeholder,
    type: type,
    title: hint,
    step: step,
    autoFocus: autoFocus,
    disabled: disabled
  })), (btnText || btnClass) && React.createElement("span", {
    className: "input-group-btn"
  }, React.createElement("input", {
    type: "submit",
    value: btnText,
    className: "btn ".concat(btnClass),
    disabled: disableBtn
  }))), icon && React.createElement("span", {
    className: icon + " form-control-feedback",
    style: {
      right: '15px'
    },
    "aria-hidden": "true"
  }), React.createElement(MetaText, meta)));
};

InputText.defaultProps = {
  type: 'text',
  autoFocus: false,
  required: false,
  disabled: false
};
export default InputText;