import React from 'react';
import MetaText from './helpers/MetaText';

var InputTextarea = function InputTextarea(props) {
  var input = props.input,
      label = props.label,
      placeholder = props.placeholder,
      resize = props.resize,
      autoFocus = props.autoFocus,
      disabled = props.disabled,
      required = props.required,
      rows = props.rows,
      cols = props.cols,
      meta = props.meta;
  return React.createElement("div", {
    className: "form-group ".concat(required ? 'required' : '', " ").concat(meta.touched && meta.error ? 'has-error' : '', " ").concat(meta.touched && meta.warning ? 'has-warning' : '')
  }, label && React.createElement("label", {
    className: "col-sm-2 control-label"
  }, label), React.createElement("div", {
    className: label ? 'col-sm-10' : 'col-sm-12'
  }, React.createElement("textarea", Object.assign({}, input, {
    placeholder: placeholder,
    rows: rows,
    cols: cols,
    className: "form-control",
    autoFocus: autoFocus,
    disabled: disabled,
    style: resize ? {} : {
      resize: 'none'
    }
  })), React.createElement(MetaText, meta)));
};

InputTextarea.defaultProps = {
  rows: 5,
  cols: 30,
  autoFocus: false,
  disabled: false,
  required: false,
  resize: true
};
export default InputTextarea;