import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _assertThisInitialized from "@babel/runtime/helpers/esm/assertThisInitialized";
import React from 'react';
import Datetime from 'react-datetime';
import 'react-datetime/css/react-datetime.css';
import './css/inputDateTime.css';

var InputTime =
/*#__PURE__*/
function (_React$Component) {
  _inherits(InputTime, _React$Component);

  function InputTime(props) {
    var _this;

    _classCallCheck(this, InputTime);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(InputTime).call(this, props));
    _this.getValidTimes = _this.getValidTimes.bind(_assertThisInitialized(_assertThisInitialized(_this)));
    return _this;
  }

  _createClass(InputTime, [{
    key: "getValidTimes",
    value: function getValidTimes(isAdmin) {
      var _this$props = this.props,
          features = _this$props.features,
          getMaxHours = _this$props.getMaxHours;
      var maxHours = getMaxHours(features, isAdmin); // date is in the future, so allow all times

      return {
        hours: {
          min: 0,
          max: maxHours,
          step: 1
        },
        minutes: {
          min: 0,
          max: 59,
          step: 15
        }
      };
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          label = _this$props2.label,
          input = _this$props2.input,
          placeholder = _this$props2.placeholder,
          locale = _this$props2.locale,
          isAdmin = _this$props2.isAdmin,
          _this$props2$meta = _this$props2.meta,
          touched = _this$props2$meta.touched,
          error = _this$props2$meta.error,
          warning = _this$props2$meta.warning;
      return React.createElement("div", {
        className: "form-group ".concat(touched && error ? 'has-error' : '', " ").concat(touched && warning ? 'has-warning' : '')
      }, label && React.createElement("label", {
        className: "col-sm-2 control-label"
      }, label), React.createElement("div", {
        className: label ? 'col-sm-10' : 'col-sm-12'
      }, React.createElement("div", {
        className: "input-group time"
      }, React.createElement(Datetime, {
        inputProps: {
          name: input.name,
          placeholder: placeholder
        },
        value: input.value,
        onChange: function onChange(param) {
          return input.onChange(param);
        },
        locale: locale,
        dateFormat: false,
        timeFormat: "HH:mm",
        timeConstraints: this.getValidTimes(isAdmin)
      }), React.createElement("span", {
        className: "input-group-addon"
      }, React.createElement("i", {
        className: "fa fa-clock-o"
      }))), React.createElement("span", {
        className: "".concat(touched && error ? 'has-error' : '', " ").concat(touched && warning ? 'has-warning' : '')
      }, touched && (error && React.createElement("span", {
        className: "help-block m-b-none"
      }, error) || warning && React.createElement("span", {
        className: "help-block m-b-none"
      }, warning)))));
    }
  }]);

  return InputTime;
}(React.Component);

export default InputTime;